MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028663Open CASCADE[OCCT] OCCT:Configurationpublic2017-04-19 18:002017-05-19 15:36
Reportermsv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028663: Integration of TortoiseGit with bug tracker
DescriptionThis small patch allows integration of TortoiseGit client with bug tracker. Particularly, it will be possible to click on the bug number in the log message in order to jump to the bug page in the browser.
This is done according to instruction on this page:
https://tortoisegit.org/docs/tortoisegit/tgit-dug-bugtracker.html [^]
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0065360)
git (administrator)
2017-04-19 18:02

Branch CR28663 has been created by msv.

SHA-1: fb6bf697ab0b498e7b3274840bac3eb4c7dbec9c


Detailed log of new commits:

Author: msv
Date: Wed Apr 19 18:02:21 2017 +0300

    0028663: Integration of TortoiseGit with bug tracker
    
    The file .tgitconfig has been added to the root.
(0065362)
msv (developer)
2017-04-19 18:05

Dear Andrey, please review.
(0065386)
git (administrator)
2017-04-20 12:34

Branch CR28663 has been updated forcibly by msv.

SHA-1: a909eaacd63d28024aff363a88615bc43426df61
(0065396)
git (administrator)
2017-04-20 15:07

Branch CR28663 has been updated by abv.

SHA-1: f868b7016106c63172623253d1f78e3f202e27b9


Detailed log of new commits:

Author: abv
Date: Thu Apr 20 15:05:40 2017 +0300

    // regex corrected

(0065397)
abv (manager)
2017-04-20 15:21

No remarks, it just works; please integrate.

Note that I made small correction in regexp to avoid real numbers like 0.0012345 to be interpreted as links to Mantis (however Tortoise still considers these numbers as some links, perhaps to different revisions, but cannot resolve them).
(0065971)
git (administrator)
2017-05-12 11:36

Branch CR28663 has been deleted by kgv.

SHA-1: f868b7016106c63172623253d1f78e3f202e27b9

- Related Changesets
occt: master dfde2a33
Timestamp: 2017-04-19 15:02:21
Author: msv
Committer: bugmaster
Details ] Diff ]
0028663: Integration of TortoiseGit with bug tracker

The file .tgitconfig has been added to the root.
add - .tgitconfig Diff ] File ]
mod - tests/demo/draw/getsource Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-04-19 18:00 msv New Issue
2017-04-19 18:00 msv Assigned To => bugmaster
2017-04-19 18:02 git Note Added: 0065360
2017-04-19 18:05 msv Assigned To bugmaster => msv
2017-04-19 18:05 msv Status new => assigned
2017-04-19 18:05 msv Note Added: 0065362
2017-04-19 18:05 msv Assigned To msv => abv
2017-04-19 18:05 msv Status assigned => resolved
2017-04-20 12:34 git Note Added: 0065386
2017-04-20 15:07 git Note Added: 0065396
2017-04-20 15:21 abv Note Added: 0065397
2017-04-20 15:21 abv Assigned To abv => bugmaster
2017-04-20 15:21 abv Status resolved => reviewed
2017-04-21 14:59 bugmaster Changeset attached => occt master dfde2a33
2017-04-21 14:59 bugmaster Status reviewed => verified
2017-04-21 14:59 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065971
2017-05-19 15:36 abv Target Version 7.2.1 => 7.2.0*


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker